using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundManager : MonoBehaviour
{

    public AudioSource Source;

    public static SoundManager instance;

	[Header("Overall Music")]
	public AudioClip mainMenu;
	public AudioClip summerTime;
	public AudioClip winterTime;
	public AudioClip springTime;
	public AudioClip autumnTime;

	[Header("Effects")]
	public AudioClip firePlace;
	public AudioClip birds;
	public AudioClip eating;
	public AudioClip drinking;
	public AudioClip running;
	public AudioClip woodCutting;
	public AudioClip crafting;

	[Header("Animals")]
	public AudioClip[] sheepClip;
	public AudioClip[] chickenClip;

    [Header("Radio")]
    public List<AudioClip> radioClips;

    void Awake()
    {
        SoundManager.instance = this;
    }

    public void PlayOnce(AudioClip clip)
    {
        Source.PlayOneShot(clip);
    }


}
